com.pdfunit.validators

## Class XMPValidator

- java.lang.Object
- - com.pdfunit.validators.AbstractValidator
  - - com.pdfunit.validators.XMPValidator

-     @DoNotObfuscate
      public final class XMPValidator
      extends com.pdfunit.validators.AbstractValidator

  Validator for XMP data.
  Since:
    2016.05
  Author:
    Carsten Siedentop, March 2016

- - ### Field Summary

    - ### Fields inherited from class com.pdfunit.validators.AbstractValidator

      `testDocument`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XMPValidator(DocumentValidator backReference)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `hasNoXMPData()`
    `XMPValidator` | `hasXMPData()` Validating that the current PDF document has XMP data.
    `XMPValidator` | `matchingXPath(XPathExpression xpath)` This method prcesses the given XPath expression against the XMP data of the current PDF document.
    `XMPValidator` | `withNode(XMLNode node)` This method validates the node name and value, covered by the instance of XMLNode, against the current PDF document.

    - ### Methods inherited from class com.pdfunit.validators.AbstractValidator

      `closeDocument, equals, getDocument, hashCode`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XMPValidator

          public XMPValidator(DocumentValidator backReference)

  - ### Method Detail

    - #### hasXMPData

          public XMPValidator hasXMPData()

      Validating that the current PDF document has XMP data.

    - #### hasNoXMPData

          public void hasNoXMPData()

    - #### matchingXPath

          @Guarded
          public XMPValidator matchingXPath(XPathExpression xpath)

      This method prcesses the given XPath expression against the XMP data of the current PDF document.

      The XPath expression must result in a type boolean.

    - #### withNode

          @Guarded
          public XMPValidator withNode(XMLNode node)

      This method validates the node name and value, covered by the instance of XMLNode, against the current PDF document.

Copyright (C) PDFUnit.com. See here for license.